import { HydrationEnvService } from './hydrationTypes';
export declare const getDefaultHydrationEnvService: {
    (): HydrationEnvService;
    value?: HydrationEnvService;
};
export declare const hasDefaultHydrationEnvService: () => boolean;
export declare const setDefaultHydratingEnvService: (value: HydrationEnvService) => void;
export interface HydrationEnvServiceOptions {
    default?: boolean;
    disablePrecache?: boolean;
}
export declare function createBrowserHydrationEnvService(options?: HydrationEnvServiceOptions): HydrationEnvService;
